Description

Supportfall

What is the supported XCP version in ADTF calibration toolbox 2.7.0?

Where can I find this information in ADTF document?

Lösung

Currently we are supporting followed specs:

MCD-1 Version 1.3 [XCP / Transport-Layer]

MCD-2 Version 1.6 [A2L]

The XCP-Limitations are listed at

https://support.digitalwerk.net/adtf_addons/adtf-calibration-toolbox/v2/api/page_limitations.html

History

#2 - 2019-02-12 15:40 - hidden

- Status changed from New to Customer Feedback Required

Dear Mr. Sriram,

currently we are supporting followed specs:

MCD-2 Version 1.6 [A2L] (https://support.digitalwerk.net/adtf_addons/adtf-calibration-toolbox/v2/api/page_limitations.html)

MCD-1 Version 1.3 [XCP]

Hopefully, i have helped you with this answer.

Kind regards,

Michael

#3 - 2019-02-14 03:20 - hidden

Dear Mr. Michael,

Does the XCP 1.3 backward compatible with a XCP slave 1.2?

Can I use XCP 1.3 from ADTF calibration toolbox to calibrate an ECU with XCP 1.2?

Thanks and Regards,

Murali S

#4 - 2019-02-14 08:26 - hidden

Murali Sriram wrote:

Dear Mr. Michael,
Does the XCP 1.3 backward compatible with a XCP slave 1.2?

Can I use XCP 1.3 from ADTF calibration toolbox to calibrate an ECU with XCP 1.2?

Thanks and Regards,

Murali S

 Dear Mr. Sriram,

of course this should be possible.

Within the MCD-1 - specification you can find this sequence:

"If the Protocol Layer is modified in such a way that a functional modification in the slave’s

driver software is needed, the higher byte of the XCP Protocol Layer Version Number will

be incremented."

That means, that the protocol is backwards compatible.

Kind regards,

Michael

#5 - 2019-02-14 09:37 - hidden

Dear Mr. Michael,

It is clear now. ADTF calibration toolbox supports XCP Protocol layer version of 1.3.

What is the transport layer version supported by ADTF calibration toolbox? Is this also 1.3?

I suppose the same compatibility rules apply to different transport layer versions.

Thanks and Regards,

Murali S

#6 - 2019-02-14 09:46 - hidden

Murali Sriram wrote:

Dear Mr. Michael,

It is clear now. ADTF calibration toolbox supports XCP Protocol layer version of 1.3.

What is the transport layer version supported by ADTF calibration toolbox? Is this also 1.3?

I suppose the same compatibility rules apply to different transport layer versions.

Thanks and Regards,

Murali S

 Correct, the Calibration-Toolbox also uses the 1.3 version of the transportlayer-spec.

Best regards,

Michael

#7 - 2019-02-14 09:50 - hidden

Thanks for the information. It is very much helpful.

#8 - 2019-02-14 10:00 - hidden

Murali Sriram wrote:

Thanks for the information. It is very much helpful.

 Fine!

If it's all clear now, we can close this ticket.

Regards,

Michael

#9 - 2019-02-14 10:07 - hidden

Yes. It can be closed
#10 - 2019-02-14 10:25 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Topic set to CalibrationTB::XCP

- Resolution set to Solved Issue

- Platform Windows 7 64bit added

#11 - 2019-02-14 10:29 - hidden

- Project changed from 9 to Public Support

- Subject changed from Supported XCP version for ADTF calibration toolbox to Supported XCP version

- Description updated

- Status changed from To Be Closed to Closed

- Private changed from Yes to No
